class ApiEndpoints {
  // Mining Service
  static String shareAccount(String accountSequence) => '/api/v1/accounts/$accountSequence';
  static String miningRecords(String accountSequence) => '/api/v1/accounts/$accountSequence/records';
  static const String globalState = '/api/v1/global-state';
  static String realtimeEarning(String accountSequence) => '/api/v1/accounts/$accountSequence/realtime';

  // Trading Service
  static const String currentPrice = '/api/v1/price';
  static const String klineData = '/api/v1/kline';
  static String tradingAccount(String accountSequence) => '/api/v1/accounts/$accountSequence';
  static String createOrder(String accountSequence) => '/api/v1/accounts/$accountSequence/orders';
  static String orders(String accountSequence) => '/api/v1/accounts/$accountSequence/orders';
  static String transfer(String accountSequence) => '/api/v1/accounts/$accountSequence/transfer';

  // Contribution Service
  static String contribution(String accountSequence) => '/api/v1/contribution/$accountSequence';
  static String contributionRecords(String accountSequence) => '/api/v1/contribution/$accountSequence/records';
}
